#!/usr/bin/perl

use strict;
use utf8;
use FileHandle;
use Getopt::Long;
use Text::CSV;
use List::Util qw(sum min max shuffle);
binmode STDIN, ":utf8";
binmode STDOUT, ":utf8";
binmode STDERR, ":utf8";

if(@ARGV != 3) {
    print STDERR "Usage: $0 IN JOUT ENOUT\n";
    exit 1;
}

my $csv = Text::CSV->new ( { binary => 1 } )  # should set binary attribute.
                 or die "Cannot use CSV: ".Text::CSV->error_diag ();
open my $fh, "<:encoding(utf8)", $ARGV[0] or die "$ARGV[0]: $!";

open FILE1, ">:utf8", $ARGV[1] or die "Couldn't open $ARGV[1]";
open FILE2, ">:utf8", $ARGV[2] or die "Couldn't open $ARGV[2]";

my $lines = 0;
while ( my $row = $csv->getline( $fh ) ) {
    if($lines++) {
        my $en = $row->[3];
        $en =~ s/\(.*?\)//g;
        $en =~ s/  / /g;
        $en =~ s/^ //g;
        $en =~ s/ $//g;
        print FILE1 "$row->[0]\n";
        print FILE2 "$en\n";
    }
}
