#!/usr/bin/perl

use strict;
use utf8;
use FileHandle;
use Getopt::Long;
use List::Util qw(sum min max shuffle);
binmode STDIN, ":utf8";
binmode STDOUT, ":utf8";
binmode STDERR, ":utf8";

if(@ARGV != 2) {
    print STDERR "Usage: $0 JOUT EOUT\n";
    exit 1;
}

my ($j, $e);
my $started;
while(($j = <STDIN>) and ($e = <STDIN>)) {
    $j =~ s/\r//g; $e =~ s/\r//g;
    if(not $started) {
        last if($j =~ /DOCTYPE/);
        open FILE0, ">:utf8", $ARGV[0] or die "Couldn't open $ARGV[0]";
        open FILE1, ">:utf8", $ARGV[1] or die "Couldn't open $ARGV[1]";
        $started = 1;
    }
    chomp $j;
    chomp $e;
    my @ja = split(/\|/, $j);
    my @ea = split(/\|/, $e);
    if(@ja != @ea) { print STDERR "Unmatched arrays!\n$j\n$e\n"; next; }
    foreach my $i (0 .. $#ja) {
        if($ja[$i] and $ea[$i]) {
            print FILE0 "$ja[$i]\n";
            print FILE1 "$ea[$i]\n";
        }
    }
}
